Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.tagger.maxent
Class AmbiguityClass

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.AmbiguityClass

    public class AmbiguityClass

extends Object

An ambiguity class for a word is the word by itself or its set of observed tags.

Field Summary
`protected static AmbiguityClass` | `naClass`

Constructor Summary
`` | `AmbiguityClass()`
`protected` | `AmbiguityClass(String word)`
`protected` | `AmbiguityClass(String word, boolean single)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getWord()`
`int` | `hashCode()`
`protected void` | `init()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### naClass

    protected static final AmbiguityClass naClass

Constructor Detail

### AmbiguityClass

    public AmbiguityClass()

### AmbiguityClass

    protected AmbiguityClass(String word)

### AmbiguityClass

    protected AmbiguityClass(String word,
                             boolean single)

Method Detail

### getWord

    public String getWord()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### init

    protected void init()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group